STDBUF(1)

BEZEICHNUNG
stdbuf - BEFEHL mit verändertem Pufferoperationen der Standardein- und ausgabe ausführen

ÜBERSICHT
stdbuf OPTION... OPTION

BESCHREIBUNG

BEFEHL mit verändertem Pufferoperationen der Standardein- und ausgabe ausführen

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-i, --input=MODUS
    Pufferung des Datenstroms auf der Standardeingabe anpassen

-o, --output=MODUS
    Pufferung des Datenstroms auf der Standardausgabe anpassen

-e, --error=MODUS
    Pufferung des Datenstroms auf der Standardfehlerausgabe anpassen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Falls der MODUS »L« ist, wird der entsprechende Datenstrom zeilenweise gepuffert. Diese Option ist mit der Standardeingabe ungültig.

Falls der MODUS »0« ist, wird der entsprechende Datenstrom ungepuffert sein.

Andernfalls ist der MODUS eine Zahl, die von einer der folgenden Angaben gefolgt werden kann: KB 1000, K 1024, MB 1000*1000, M 1024*1024 und so weiter für G, T, P, E, Z und Y. In diesem Fall wird der entsprechende Datenstrom vollständig mit der Puffergröße gepuffert, die auf MODUS Byte gesetzt ist.

ANMERKUNG: Falls BEFEHL die Pufferung seiner Standardein- und ausgaben anpasst (»Tee« tut dies beispielsweise), dann wird dies die entsprechenden Einstellungen überschreiben, die von »Stdbuf« geändert wurden. Außerdem werden einige Filter (wie »Dd« und »Cat« etc.) keine Datenströme zur Ein- und Ausgabe benutzen und sind folglich nicht von den »Stdbuf«-Einstellungen betroffen.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report stdbuf translation bugs to <http://translationproject.org/team/>

BEISPIELE
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Dies wird sofort einzigartige Einträge aus »access.log« anzeigen.

FEHLER
Auf GLIBC-Plattformen wird die Angabe der Puffergröße, z.B. beim Benutzen des vollständig gepufferten Modus, zu einer undefinierten Operation führen.

AUTOR
Geschrieben von Pádraig Brady.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für stdbuf wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und stdbuf auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'stdbuf invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.